> For the complete documentation index, see [llms.txt](https://docs.bluebubbles.app/server/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluebubbles.app/server/advanced/macos-virtualization/running-a-macos-vm.md).

# Running a macOS VM

Expand the sidebar for this page to see various guides to help you set up a macOS VM.

If iMessage will not let you sign in, make sure to follow [Enabling iMessage in a VM](/server/advanced/macos-virtualization/running-a-macos-vm/enabling-imessage-in-a-vm.md).

If you plan to make your VM in Windows, we highly recommend using [VMWare Workstation Pro](https://www.vmware.com/products/desktop-hypervisor/workstation-and-fusion).

{% hint style="warning" %}
This is by no means an easy process, and it is not guaranteed to work. We recommend using real Mac hardware to avoid compromising your Apple ID, you can find cheap Mac Minis (2009) on eBay for around $50-$75.

Feel free to join our Discord, linked in the header above, if you need any help!
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bluebubbles.app/server/advanced/macos-virtualization/running-a-macos-vm.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
